package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAClientAudienceMapping.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.XAAClientAudienceMappingServiceSearchResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/xaa/client_audience_mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"disabled": true,
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"clientKey": "<string>",
"xaaResourceServerId": "<string>"
}
],
"xaaResourceServerIds": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/xaa/client_audience_mappings"
payload = {
"disabled": True,
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"clientKey": "<string>",
"xaaResourceServerId": "<string>"
}
],
"xaaResourceServerIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
disabled: true,
pageSize: 123,
pageToken: '<string>',
query: '<string>',
refs: [{clientKey: '<string>', xaaResourceServerId: '<string>'}],
xaaResourceServerIds: ['<string>']
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/xaa/client_audience_mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"audienceClientId": "<string>",
"clientKey": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"disabled": true,
"updatedAt": "2023-11-07T05:31:56Z",
"xaaResourceServerId": "<string>"
}
],
"nextPageToken": "<string>"
}Search
Search client audience mappings across the tenant, filtered by resource server, disabled state, or text query, or fetch a specific set by ref.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAClientAudienceMapping.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.XAAClientAudienceMappingServiceSearchResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
XAAClientAudienceMappingServiceSearchRequest searches mappings with filters.
Optional filter by disabled state.
Page size (max 100).
Page token for pagination.
Optional text query matched against client_key and audience_client_id.
Optional: fetch a specific set of mappings by ref (used by websocket notify to re-fetch individual rows).
Show child attributes
Show child attributes
Optional filter by resource servers. Empty matches any resource server.
Response
XAAClientAudienceMappingServiceSearchResponse returns matching mappings.
Was this page helpful?